/*
view.page.Export = function() {
  this.dom =
    div({cls: 'export-panel'},
      div({cls: 'title-gradient'},
        div({cls: 'export-sub-menu'},
          div({cls: 'export-sub-menu'},
            view.cmp.Menu({title: 'Тэги', id: 'tags', key: 'exportData'}),
            view.cmp.Menu({title: 'Связи', id: 'connections', key: 'exportData'})
          ),

          div({cls: 'export-sub-menu'},
            view.cmp.Menu({title: 'CSV', id: 'csv', key: 'exportFormat'}),
            view.cmp.Menu({title: 'JSON', id: 'json', key: 'exportFormat'}),
            view.cmp.Menu({title: 'YAML', id: 'yaml', key: 'exportFormat'}),
            view.cmp.Menu({title: 'SQL', id: 'sql', key: 'exportFormat'}),
          )
        )
      ),
      exportLogic(D.textarea({cls: 'export-data'})),
      div({cls: 'export-comment'}, `Connetction type<Enum>: 0 — продукт, 1 — компонент`)
    );
};*/
view.page.Export = function () {
  this.dom = D.h("div", {
    cls: "export-panel"
  }, D.h("div", {
    cls: "title-gradient"
  }, D.h("div", {
    cls: "export-sub-menu"
  }, D.h("div", {
    cls: "export-sub-menu"
  }, view.cmp.Menu({
    title: 'Тэги',
    id: 'tags',
    key: 'exportData'
  }), view.cmp.Menu({
    title: 'Связи',
    id: 'connections',
    key: 'exportData'
  })), D.h("div", {
    cls: "export-sub-menu"
  }, view.cmp.Menu({
    title: 'CSV',
    id: 'csv',
    key: 'exportFormat'
  }), view.cmp.Menu({
    title: 'JSON',
    id: 'json',
    key: 'exportFormat'
  }), view.cmp.Menu({
    title: 'YAML',
    id: 'yaml',
    key: 'exportFormat'
  }), view.cmp.Menu({
    title: 'SQL',
    id: 'sql',
    key: 'exportFormat'
  })))), exportLogic(D.textarea({
    cls: 'export-data'
  })), D.h("div", {
    cls: "export-comment"
  }, "Connetction type", '<Enum>', ": 0 \u2014 \u043F\u0440\u043E\u0434\u0443\u043A\u0442, 1 \u2014 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442`"));
};